#pragma once

class OBB
{
private:
	float center[3];
	float width; float height; float depth;
	float waxis[3]; float haxis[3]; float daxis[3];
	float waxisq[3]; float haxisq[3]; float daxisq[3];
	float dotp(float *a, float *b);

public:
	bool overlap(OBB *other);
	void transform(float m[3][3]);
	void translate(Vector3d t);
	void set(float *size, float *waxis, float *haxis, float *daxis, float *center);

public:
	OBB(float *size, float *waxis, float *haxis, float *daxis, float *center);
	OBB(void);
	~OBB(void);
};
