#pragma once

class contact
{

public:
	RIGID_BODY *a; /* body containing vertex */
	RIGID_BODY *b; /* body containing face */
	int facenbr;
	Vector3d vertex;
	int vert;
	Vector3d p; /* world-space vertex location of contact point*/
	Vector3d n; /* outwards pointing normal (away from body b)*/
	Vector3d ea; /* edge for a */
	Vector3d eb; /* edge for b */
	bool vf; /* TRUE if vertex/face contact */

public:
	contact(void);
	contact(contact *cont);
	contact(RIGID_BODY *a, RIGID_BODY *b);
	~contact(void);
};
