#include "opengl2ray.h"

// main function for rayrendering
void opengl2ray(void) {
//	create_window();
	init_raytracer();

	//ka = 0.1; 
	//e = 25; steps = 8;
	//Ia[0] = 255; Ia[1] = 255; Ia[2] = 255;

	// init OpenGl scene
	init_opengl_scene();

	int frame = 3;
	char filename[30];

	while(frame < 1000) {
		reset_raytracer();
		sprintf(filename, "image%05d.bmp", frame);

		// redraw opengl scene
		redraw();

		// transform coordinates
		transform_coords();
		draw_raytracer(filename);

		// status
		printf("Frame %d of %d\n", frame, 10);

		// next frame
		frame++;
	}

	uninit_opengl_scene();
}