#pragma once

#include <string>
#include <map>
#include <vector>

#include "StdAfx.h"
#include "box.h"
#include "sphere.h"
#include "triangle.h"
#include "cylinder.h"
#include "infplane.h"
#include "rayObjectLoader.h"
#include "rayTextureLoader.h"

using namespace std;

// draw scene
void init_raytracer(void);
void reset_raytracer(void);

void transform_coords(void);
void draw_raytracer(char *filename = NULL);

int create_window();

// texture handling
int load_texture(char *texture);

// variable
extern vector<Primitive*>  primitives;