#include "StdAfx.h"
#include ".\contact.h"

contact::contact()
{
}

contact::contact(RIGID_BODY *rba, RIGID_BODY *rbb)
{
	a = rba; b = rbb; vf = false;
}

contact::contact(contact *cont)
{
	a = cont->a; b = cont->b;
	facenbr = cont->facenbr;
	vertex = Vector3d(cont->vertex);
	vert = cont->vert;
	p = Vector3d(cont->p);
	n = Vector3d(cont->n);
	ea = Vector3d(cont->ea);
	eb = Vector3d(cont->eb);
	vf = cont->vf;
}

contact::~contact(void)
{
}
